Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163457 - Badly adapted dimensions of GTK2 widgets
Summary: Badly adapted dimensions of GTK2 widgets
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: 4
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-17 12:00 UTC by Joachim Frieben
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-18 08:54:46 UTC


Attachments (Terms of Use)
Openoffice.org Impress UI element showing bad placement/dimensions (deleted)
2005-07-17 12:02 UTC, Joachim Frieben
no flags Details

Description Joachim Frieben 2005-07-17 12:00:53 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Epiphany/1.7.2

Description of problem:
Openoffice.org aplications exhibit bad layout of GTK2 UI elements.
This results in wrong placements of arrows, text etc.

Version-Release number of selected component (if applicable):
openoffice.org-impress-1.9.117-1.1.0.fc4

How reproducible:
Always

Steps to Reproduce:
1. Launch Openoffice.org writer.
2. Check UI elements
  

Actual Results:  UI shows badly placed text and symbols (see attached screenshot).

Expected Results:  The button layout and others should fit the GTK2 toolkit layout better.

Additional info:

Comment 1 Joachim Frieben 2005-07-17 12:02:41 UTC
Created attachment 116849 [details]
Openoffice.org Impress UI element showing bad placement/dimensions

Comment 2 Caolan McNamara 2005-07-18 08:54:46 UTC
OOo is not a true gtk2 application, it has some cunning where the gtk stuff is
rendered into pre-sized areas, so the gtk layout is not in operation. Which is
why it's of different sizes that you expect. There's nothing planned in the very
short term to change this. Unless there is a specific example of a widget or
something which has regressed from an earlier version of OOo to the current one.


Note You need to log in before you can comment on or make changes to this bug.